=== debian/changelog ===
libindi (0.9.8.1-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763480)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 15:42:14 +0200

libindi (0.9.8.1-5) unstable; urgency=medium

  * Update symbols with the buildds logs and kfreebsd porter box log.
  * New patch: freebsd_support
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 30 Aug 2014 04:48:12 +0200

libindi (0.9.8.1-4) unstable; urgency=medium

  * Remove libusb-dev build dependency. (Closes: #754746)
  * Update symbols with the buildds logs. (Closes: #754747)
  * New patch: no-sys-io.patch. (Closes: #668134)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Jul 2014 11:01:29 +0200

libindi (0.9.8.1-3) unstable; urgency=medium

  * Improve dependencies, libindialignmentdriver0 is the only library that
    does a dlopen of the plugins. (Closes: #747855)
  * Update symbols files. (Closes: #749962)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 12 Jul 2014 14:30:00 +0200

libindi (0.9.8.1-2) unstable; urgency=medium

  * Update symbols from 0.9.8.1-1 buildlogs.
  * Add dh sequence pkgkde_symbolshelper.
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 May 2014 14:16:04 +0200

libindi (0.9.8.1-1) experimental; urgency=medium

  * Update watch file.
  * New upstream release.
  * Remove patch: libdir.diff, applied by upstream.
  * Remove patch: setINDIproperty_mayhem_fix.diff, applied by upstream.
  * Remove patch: getINDIproperty_mayhem_fix.diff, applied by upstream.
  * Refresh patches.
  * Update build dependencies.
  * Bump libindidriver soversion.
  * Update symbols.
  * New lib package libindialignmentdriver0.
  * Install binary plugins in an arch-dependant dir.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Apr 2014 17:57:49 +0200

libindi (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * New patch: setINDIproperty_mayhem_fix.diff fix for
    http://www.forallsecure.com/bug-
    reports/f7467b92bdec47c7d8213b93db76f57e58e97215/
  * New patch: getINDIproperty_mayhem_fix.diff fix for
    http://www.forallsecure.com/bug-
    reports/3ef71f68767fec365de8eb61f91a4ca0be01b5fc/
  * Refresh patches.
  * Add libindimain0 and libindidriver0 packages.
  * Add symbols files.
  * Add myself to the Uploaders field.
  * Bump debhelper b-d to 9.
  * Bump Standards-Version, no changes needed.
  * Update install files.
  * Bump compat to 9.
  * Make -dbg package m-a: same.
  * Add new packages to -dev package.
  * Update symbols files.
  * Bump so name of libindidriver to 0b.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Nov 2013 13:56:05 +0100
