=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    -DINDI_MATH_PLUGINS_DIRECTORY=/usr/lib/$(DEB_HOST_MULTIARCH)/indi/MathPlugins/

override_dh_strip:
	dh_strip --dbg-package=indi-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V
