=== debian/changelog ===
libindi (1.0.0-3ubuntu1) wily; urgency=medium

  * Update symbols from 1.0.0-3 build logs.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 31 Aug 2015 14:23:54 -0400

libindi (1.0.0-3) unstable; urgency=medium

  * Update symbols from 1.0.0-2 buildlogs

 -- Maximiliano Curia <maxy@debian.org>  Tue, 11 Aug 2015 16:16:40 +0200

libindi (1.0.0-2) unstable; urgency=medium

  * Update symbols from 1.0.0-1 buildlogs
  * Update symbols files. (Closes: #795143)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 11 Aug 2015 08:24:15 +0200

libindi (1.0.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (0.9.9).
  * New upstream release (1.0.0).
  * Follow upstream soversion bump. (Closes: #791746)
  * Update copyright information.
  * Update symbols with kfreebsd builds.
  * Update patch for freebsd_support for usb support.
  * Remove patch: no-sys-io.patch
  * Remove patch: abi.diff
  * Update symbols files.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Adrien Grellier ]
  * depends on libcfitsio-dev instead of libcfitsio3-dev
    (Closes: #761723)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Aug 2015 12:25:22 +0200
