=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libindi
 Section: misc
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.4.7),
                debhelper (>= 9),
-               libcfitsio3-dev,
+               libcfitsio-dev,
                libgsl0-dev,
                libjpeg-dev,
                libnova-dev (>= 0.14.0),
@@ -13,12 +14,12 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.indilib.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/krap/libindi.git
 
-Package: libindi0b
+Package: libindi1
 Section: libs
 Architecture: any
 Depends: libindi-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -34,7 +35,7 @@
  .
  This package contains the client shared library.
 
-Package: libindidriver0c
+Package: libindidriver1
 Section: libs
 Architecture: any
 Depends: libindi-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -49,7 +50,7 @@
  .
  This package contains the driver shared library.
 
-Package: libindimain0
+Package: libindimain1
 Section: libs
 Architecture: any
 Depends: libindi-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -64,7 +65,7 @@
  .
  This package contains the main shared library.
 
-Package: libindialignmentdriver0
+Package: libindialignmentdriver1
 Section: libs
 Architecture: any
 Depends: libindi-plugins (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -98,10 +99,10 @@
 Section: libdevel
 Architecture: any
 Depends: libcfitsio3-dev,
-         libindi0b (= ${binary:Version}),
-         libindidriver0c (= ${binary:Version}),
-         libindimain0 (= ${binary:Version}),
-         libindialignmentdriver0 (= ${binary:Version}),
+         libindi1 (= ${binary:Version}),
+         libindidriver1 (= ${binary:Version}),
+         libindimain1 (= ${binary:Version}),
+         libindialignmentdriver1 (= ${binary:Version}),
          libusb-1.0-0-dev,
          ${misc:Depends}
 Description: Instrument-Neutral Device Interface library -- development files
@@ -143,7 +144,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libindi0b (= ${binary:Version}), ${misc:Depends}
+Depends: libindi1 (= ${binary:Version}), ${misc:Depends}
 Suggests: indi-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
